diff --git a/src/bench.c b/src/bench.c
index 383293ab2b..760efffe50 100644
--- a/src/bench.c
+++ b/src/bench.c
@@ -982,9 +982,11 @@ int benchmark_all(void)
 		printf("%u out of %u tests have FAILED\n", failed, total);
 	else if (total > 1 && !event_abort)
 		if (john_main_process) {
+#ifndef BENCH_BUILD
 			if (options.flags & FLG_MASK_CHK)
 				printf("%u formats benchmarked.\n", total);
 			else
+#endif
 				printf("All %u formats passed self-tests!\n",
 				       total);
 		}
